# 使用 HostNetwork 模式

将 Nginx Ingress Controller 作为 `DaemonSet` 部署，并启用 `HostNetwork` 以直接监听宿主机的 80 和 443 端口。

## **步骤：**

### 1. **部署 Nginx Ingress Controller**：

   将 Nginx Ingress Controller 部署为 `DaemonSet`，并启用 `HostNetwork`。

   ```sh
   helm repo add ingress-nginx https://kubernetes.github.io/ingress-nginx
   kubectl create namespace ingress-nginx
   helm install ingress-nginx ingress-nginx/ingress-nginx --set controller.kind=DaemonSet --set controller.hostNetwork=true --set ingressClassResource.default=true --namespace ingress-nginx
   ```

### 2. **端口冲突**：

   确保没有其他进程在 80 和 443 端口上运行。

### 3. **DNS 配置**：

   将域名的 DNS A 记录指向集群中任意一台节点的 IP 地址。